Get OpenID Connect provider metadata

Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

GET https://app.ap1.datadoghq.com/api/v2/oauth2/.well-known/openid-configurationhttps://app.ap2.datadoghq.com/api/v2/oauth2/.well-known/openid-configurationhttps://app.datadoghq.eu/api/v2/oauth2/.well-known/openid-configurationhttps://app.ddog-gov.com/api/v2/oauth2/.well-known/openid-configurationhttps://app.us2.ddog-gov.com/api/v2/oauth2/.well-known/openid-configurationhttps://app.uk1.datadoghq.com/api/v2/oauth2/.well-known/openid-configurationhttps://app.datadoghq.com/api/v2/oauth2/.well-known/openid-configurationhttps://app.us3.datadoghq.com/api/v2/oauth2/.well-known/openid-configurationhttps://app.us5.datadoghq.com/api/v2/oauth2/.well-known/openid-configuration

Overview

Retrieve OpenID Connect provider metadata for the OAuth2 v2 token endpoint.

Response

OK

OpenID Connect provider metadata.

Expand All

Field

Type

Description

authorization_endpoint [required]

string

URL of the OAuth2 authorization endpoint.

id_token_signing_alg_values_supported [required]

[string]

Signing algorithms supported for ID tokens.

issuer [required]

string

URL identifying the OpenID Connect issuer.

jwks_uri [required]

string

URL of the JSON Web Key Set used to verify ID token signatures.

response_types_supported [required]

[string]

OAuth2 response types supported by the provider.

subject_types_supported [required]

[string]

Subject identifier types supported by the provider.

token_endpoint [required]

string

URL of the OAuth2 token endpoint.

{
  "authorization_endpoint": "https://app.datadoghq.com/oauth2/v1/authorize",
  "id_token_signing_alg_values_supported": [
    "RS256"
  ],
  "issuer": "https://app.datadoghq.com/api/v2/oauth2",
  "jwks_uri": "https://app.datadoghq.com/oauth2/v1/keys",
  "response_types_supported": [
    "code"
  ],
  "subject_types_supported": [
    "public"
  ],
  "token_endpoint": "https://app.datadoghq.com/api/v2/oauth2/token"
}

Too many requests

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Code Example

                  # Curl command
curl -X GET "https://app.ap1.datadoghq.com"https://app.ap2.datadoghq.com"https://app.datadoghq.eu"https://app.ddog-gov.com"https://app.us2.ddog-gov.com"https://app.uk1.datadoghq.com"https://app.datadoghq.com"https://app.us3.datadoghq.com"https://app.us5.datadoghq.com/api/v2/oauth2/.well-known/openid-configuration" \ -H "Accept: application/json"